GNU bug report logs - #16173
24.3.50; Inconsistency between goto-line an line numbering with narrowing

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Nathan Trapuzzano <nbtrap@HIDDEN>; merged with #5042, #9917; Forwarded to http://lists.gnu.org/archive/html/emacs-devel/2010-06/msg00143.html; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 5042 9917 16173. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16173 <at> debbugs.gnu.org:


Received: (at 16173) by debbugs.gnu.org; 17 Dec 2013 03:00:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 22:00:12 2013
Received: from localhost ([127.0.0.1]:54757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsktH-00063F-Mp
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 22:00:12 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54548)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1VsktE-00062Q-5a
 for 16173 <at> debbugs.gnu.org; Mon, 16 Dec 2013 22:00:09 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1VsktC-00060D-O3; Mon, 16 Dec 2013 22:00:07 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Nathan Trapuzzano <nbtrap@HIDDEN>
Subject: Re: bug#16173: 24.3.50;
 Inconsistency between goto-line an line numbering with narrowing
References: <87txe88a8j.fsf@HIDDEN>
X-Spook: Skipjack Mossad plutonium mailbomb analyzer Abbas gamma
X-Ran: 8S}wC6>-t)WyL(5T*X'<~.WzlIWf*hxjF+suw1?{1Ohk%1q!@dQ(^xE):?nt^q$h|W)xwd
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 16 Dec 2013 22:00:06 -0500
In-Reply-To: <87txe88a8j.fsf@HIDDEN> (Nathan Trapuzzano's message of "Mon, 
 16 Dec 2013 21:47:08 -0500")
Message-ID: <5zwqj4fah5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 16173
Cc: 16173 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

Nathan Trapuzzano wrote:

> Does it bother anyone that, with narrowing, line numbers according to
> linum and differ from line numbers according to `goto-line'?

http://debbugs.gnu.org/5042




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16173; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Dec 2013 02:48:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 21:48:18 2013
Received: from localhost ([127.0.0.1]:54742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vskhi-0005fs-Hh
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 21:48:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46242)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <nbtrap@HIDDEN>) id 1Vskhc-0005fb-CW
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 21:48:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nbtrap@HIDDEN>) id 1VskhT-000136-Gs
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 21:48:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35803)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nbtrap@HIDDEN>) id 1VskhT-000132-Dw
 for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 21:47:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47869)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nbtrap@HIDDEN>) id 1VskhL-0003xi-Ub
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 21:47:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nbtrap@HIDDEN>) id 1VskhE-00010e-EJ
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 21:47:51 -0500
Received: from oproxy9-pub.mail.unifiedlayer.com ([69.89.24.6]:35352)
 by eggs.gnu.org with smtp (Exim 4.71)
 (envelope-from <nbtrap@HIDDEN>) id 1VskhE-0000w6-45
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 21:47:44 -0500
Received: (qmail 6706 invoked by uid 0); 17 Dec 2013 02:47:51 -0000
Received: from unknown (HELO host393.hostmonster.com) (66.147.240.193)
 by oproxy9.mail.unifiedlayer.com with SMTP; 17 Dec 2013 02:47:51 -0000
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=nbtrap.com;
 s=default; 
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
 bh=D57YikzT2M753v7irS1HoXYmZOUYcP8hQ/vzrsFJhj0=; 
 b=UCV4MkxQFqm7OhnHxZbLjtXzOfprU+y0o+yIkN/hnjCqJ8P2w7+4jquBRbRAn9x5QkRACe/F7/h+oguDbdws8saeSNwHbyoePJyBnbizijVdreh8Uh0Kz+FzNRHKhnWu;
Received: from [50.90.253.209] (port=39942 helo=Nathan-GNU)
 by host393.hostmonster.com with esmtpsa (UNKNOWN:CAMELLIA128-SHA:128)
 (Exim 4.80) (envelope-from <nbtrap@HIDDEN>) id 1Vskgo-0005tN-JC
 for bug-gnu-emacs@HIDDEN; Mon, 16 Dec 2013 19:47:18 -0700
From: Nathan Trapuzzano <nbtrap@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50;
 Inconsistency between goto-line an line numbering with narrowing
Date: Mon, 16 Dec 2013 21:47:08 -0500
Message-ID: <87txe88a8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Identified-User: {1585:host393.hostmonster.com:nbtrapco:nbtrap.com}
 {sentby:smtp auth 50.90.253.209 authed with nbtrap@HIDDEN}
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

Does it bother anyone that, with narrowing, line numbers according to
linum and differ from line numbers according to `goto-line'?  (goto-line
widens before counting, linum doesn't.)  Is changing this behavior a
possibility?  Perhaps it's been around too long to change it now, but
what about adding a new goto-line variant?

Nathan




Acknowledgement sent to Nathan Trapuzzano <nbtrap@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16173; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.